/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

#ifdef HAVE_CONFIG_H
 #include <config.h> /* Internationalization */
#endif

#include <scim.h>
#include <gtk/gtk.h>

using namespace scim;

typedef enum {
    SCIM_DIR_HORIZONTAL,
    SCIM_DIR_BTT,
    SCIM_DIR_TTB,
} ScimDirection;

#define SCIM_KEYBOARD_ICON_FILE       (SCIM_ICONDIR "/keyboard.png")
#define SCIM_TRADEMARK_ICON_FILE      (SCIM_ICONDIR "/trademark.png")
#define SCIM_SETUP_ICON_FILE          (SCIM_ICONDIR "/setup.png")
#define SCIM_HELP_ICON_FILE           (SCIM_ICONDIR "/help.png")
#define SCIM_MENU_ICON_FILE           (SCIM_ICONDIR "/menu.png")
#define SCIM_UP_ICON_FILE             (SCIM_ICONDIR "/up.png")
#define SCIM_DOWN_ICON_FILE           (SCIM_ICONDIR "/down.png")
#define SCIM_LEFT_ICON_FILE           (SCIM_ICONDIR "/left.png")
#define SCIM_RIGHT_ICON_FILE          (SCIM_ICONDIR "/right.png")
#define SCIM_PIN_UP_ICON_FILE         (SCIM_ICONDIR "/pin-up.png")
#define SCIM_PIN_DOWN_ICON_FILE       (SCIM_ICONDIR "/pin-down.png")

GdkPixbuf *scim_ui_utils_scale_pixbuf (GdkPixbuf      *pixbuf,
                                       int             width,
                                       int             height);
GtkWidget *scim_ui_utils_create_icon  (const String   &iconfile,
                                       const char    **xpm             = NULL,
                                       int             width           = -1,
                                       int             height          = -1,
                                       bool            force_create    = false);
GtkWidget *scim_ui_utils_create_label (const String   &name,
                                       const String   &iconfile,
                                       const char    **xpm,
                                       PangoFontDescription *font_desc = NULL,
                                       bool            show_icon_only  = false,
                                       bool            force_icon      = false,
                                       ScimDirection   direction       = SCIM_DIR_HORIZONTAL);

GtkWidget *scim_ui_utils_create_trademark_icon (void);
GtkWidget *scim_ui_utils_create_stick_icon     (bool sticked);
GtkWidget *scim_ui_utils_create_help_icon      (void);
GtkWidget *scim_ui_utils_create_menu_icon      (void);
GtkWidget *scim_ui_utils_create_up_icon        (void);
GtkWidget *scim_ui_utils_create_left_icon      (void);
GtkWidget *scim_ui_utils_create_right_icon     (void);
GtkWidget *scim_ui_utils_create_down_icon      (void);

void       scim_ui_utils_force_no_focus_padding(GtkWidget *widget);
